#ifndef _CmsToRaveObjects_H_
#define _CmsToRaveObjects_H_

#include <rave/RaveTrack.h>
#include <rave/RaveVertex.h>
#include <rave/RaveVector6D.h>
#include <rave/RaveCovariance6D.h>
#include <rave/RaveCovariance3D.h>
#include "RecoVertex/VertexPrimitives/interface/TransientVertex.h"
#include "TrackingTools/TransientTrack/interface/TransientTrack.h"
#include "TrackingTools/TrajectoryState/interface/TrajectoryStateOnSurface.h"

class GlobalTrajectoryParameters;
class CartesianTrajectoryError;

class CmsToRaveObjects 
{
  public:
    rave::Track convert ( const TrajectoryStateOnSurface &, double chi2=0., double ndf=0., 
                          void * id=0, const std::string & tag="" ) const;
    rave::Track convert ( const FreeTrajectoryState & ) const;
    rave::Track convert ( const reco::TransientTrack & t, int id=0 ) const;
    rave::Vector6D convert ( const GlobalTrajectoryParameters & ) const;
    rave::Covariance6D convert ( const CartesianTrajectoryError & ) const;
    rave::Covariance3D convert ( const GlobalError & ) const;
    rave::Vertex convert( const TransientVertex& tv, const std::vector < rave::Track > & ) const;
};

#endif
