#ifndef _RaveToCmsObjects_H_
#define _RaveToCmsObjects_H_

#include <rave/RaveTrack.h>
#include <rave/RaveVertex.h>
#include <rave/RaveCovariance6D.h>

#include "TrackingTools/TrajectoryParametrization/interface/CartesianTrajectoryError.h"
#include "TrackingTools/TrajectoryParametrization/interface/GlobalTrajectoryParameters.h"
#include "TrackingTools/TransientTrack/interface/TransientTrack.h"
#include "RecoVertex/VertexPrimitives/interface/TransientVertex.h"
#include "DataFormats/GeometryCommonDetAlgo/interface/GlobalError.h"

class RaveToCmsObjects 
{
  public:
    GlobalTrajectoryParameters convert ( const rave::Track & ) const;
    TransientVertex convert ( const rave::Vertex & ) const;
    CartesianTrajectoryError convert ( const rave::Covariance6D & ) const;
    GlobalPoint convert ( const rave::Vector3D & ) const;
    GlobalError convert ( const rave::Covariance3D & ) const;
    reco::TransientTrack tTrack ( const rave::Track & ) const;
};

#endif
