#include "RaveBase/RaveInterface/rave/RavePoint3D.h"

using namespace rave;

Point3D::Point3D( double x, double y, double z ) :
  thex(x), they(y), thez(z) {}
  
Point3D::Point3D() :
  thex(0.), they(0.), thez(0.) {}

double Point3D::x() const
{
  return thex;
}

double Point3D::y() const
{
  return they;
}

double Point3D::z() const
{
  return thez;
}

double Point3D::mag2() const
{
  return thex*thex+they*they+thez*thez;
}

double Point3D::mag() const
{
  return sqrt(mag2());
}

double Point3D::perp2() const
{
  return thex*thex+they*they;
}

double Point3D::perp() const
{
  return sqrt ( perp2() );
}
