#include "RaveBase/RaveInterface/rave/RaveVector6D.h"

using namespace rave;

Vector6D::Vector6D( double x, double y, double z,
                    double px, double py, double pz ) :
  thex(x), they(y), thez(z), thepx(px), thepy(py), thepz(pz) {}

Vector6D::Vector6D() :
  thex(0.), they(0.), thez(0.), thepx(0.), thepy(0.), thepz(0.) {}


Vector3D Vector6D::momentum() const
{
  return Vector3D ( thepx, thepy, thepz );
}

Point3D Vector6D::position() const
{
  return Point3D ( thex, they, thez );
}

double Vector6D::x() const
{
  return thex;
}

double Vector6D::y() const
{
  return they;
}

double Vector6D::z() const
{
  return thez;
}

double Vector6D::px() const
{
  return thepx;
}

double Vector6D::py() const
{
  return thepy;
}

double Vector6D::pz() const
{
  return thepz;
}
